ExtensionQuery (Lucene 3.6.2 API)
Keywords: org.apache.lucene.queryParser.ext.ExtensionQuery class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.queryParser.ext
Class ExtensionQuery

    java.lang.Object
      org.apache.lucene.queryParser.ext.ExtensionQuery

    public class ExtensionQuery

extends Object

`ExtensionQuery` holds all query components extracted from the original query string like the query field and the extension query string.

See Also:
  `Extensions`, `ExtendableQueryParser`, `ParserExtension`

Constructor Summary
`ExtensionQuery(org.apache.lucene.queryParser.QueryParser topLevelParser, String field, String rawQueryString)` Creates a new `ExtensionQuery`

Method Summary
`String` | `getField()` Returns the query field
`String` | `getRawQueryString()` Returns the raw extension query string
`org.apache.lucene.queryParser.QueryParser` | `getTopLevelParser()` Returns the top level parser which created this `ExtensionQuery`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtensionQuery

    public ExtensionQuery(org.apache.lucene.queryParser.QueryParser topLevelParser,
                          String field,
                          String rawQueryString)

  Creates a new `ExtensionQuery`

  Parameters:
    `field` - the query field
    `rawQueryString` - the raw extension query string

Method Detail

### getField

    public String getField()

  Returns the query field

  Returns:
    the query field

### getRawQueryString

    public String getRawQueryString()

  Returns the raw extension query string

  Returns:
    the raw extension query string

### getTopLevelParser

    public org.apache.lucene.queryParser.QueryParser getTopLevelParser()

  Returns the top level parser which created this `ExtensionQuery`

  Returns:
    the top level parser which created this `ExtensionQuery`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD